# PaperCommandCompletions (ACF (Paper) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: PaperCommandCompletions

Package co.aikar.commands

# Class PaperCommandCompletions

java.lang.Object
co.aikar.commands.CommandCompletions<co.aikar.commands.BukkitCommandCompletionContext>
co.aikar.commands.BukkitCommandCompletions
co.aikar.commands.PaperCommandCompletions

public class PaperCommandCompletions extends co.aikar.commands.BukkitCommandCompletions

## Nested Class Summary

## Nested classes/interfaces inherited from class co.aikar.commands.CommandCompletions

`co.aikar.commands.CommandCompletions.AsyncCommandCompletionHandler<C extends co.aikar.commands.CommandCompletionContext>, co.aikar.commands.CommandCompletions.CommandCompletionHandler<C extends co.aikar.commands.CommandCompletionContext>, co.aikar.commands.CommandCompletions.SyncCompletionRequired`

## Constructor Summary

Constructors
Constructor
Description
`PaperCommandCompletions(PaperCommandManager manager)`

## Method Summary

### Methods inherited from class co.aikar.commands.CommandCompletions

`registerAsyncCompletion, registerCompletion, registerStaticCompletion, registerStaticCompletion, registerStaticCompletion, registerStaticCompletion, setDefaultCompletion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PaperCommandCompletions

public PaperCommandCompletions (PaperCommandManager manager)